package beilv.session.domain;

import java.math.BigDecimal;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import beilv.common.annotation.Excel;
import beilv.common.core.domain.BaseEntity;

/**
 * 时段管理对象 beilv_session
 * 
 * @author lc
 * @date 2025-01-06
 */
@Data
public class BeilvSession extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 分类id */
    @Excel(name = "分类id")
    private String siteType;

    /** 排序 */
    @Excel(name = "排序")
    private Integer sort;

    /** 时段 */
    @Excel(name = "时段")
    private String session;

    /** 价格 */
    @Excel(name = "价格")
    private BigDecimal price;

    /** 场馆id */
    @Excel(name = "场馆id")
    private Long venueId;

    private String venueName;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setSiteType(String siteType) 
    {
        this.siteType = siteType;
    }

    public String getSiteType() 
    {
        return siteType;
    }

    public void setSession(String session) 
    {
        this.session = session;
    }

    public String getSession() 
    {
        return session;
    }

    public void setPrice(BigDecimal price) 
    {
        this.price = price;
    }

    public BigDecimal getPrice() 
    {
        return price;
    }

    public void setVenueId(Long venueId) 
    {
        this.venueId = venueId;
    }

    public Long getVenueId() 
    {
        return venueId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("siteType", getSiteType())
            .append("session", getSession())
            .append("price", getPrice())
            .append("venueId", getVenueId())
            .toString();
    }
}
